找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 4577|回复: 29

[原创] 合并字体

[复制链接]

已领礼包: 593个

财富等级: 财运亨通

发表于 2013-7-13 02:27:05 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
[sell]
  1. (vl-load-com)
  2. (if (>= (atof (getvar "acadver")) 16.0)
  3.   (vl-arx-import "acapp.arx")
  4.   (vl-arx-import "acadapp.arx")
  5. )
  6. (defun c:msty (/        ea:table     ea:flist     ea:getsfont
  7.            ea:getdmstyle         ea:pross     ea:getutime
  8.            ea:string_parse         ea:string_unparse
  9.            ea:command   ea:transty     ea:get-utime myerr
  10.            ea:clearcset thisdrawing     olderr          nullss
  11.            what_next    _eamegstyle_id          nsty
  12.            stlst        dmlst     sname          dname
  13.            d_f        dname_textstyle          sname_fnt
  14.            a        dmode     cfnt          del
  15.            dl        efnt     l          n
  16.            nsty        olderr     sel          sln
  17.            x        $_tch_loaded ea:unlockall *acad*
  18.           )
  19.   (defun ea:table (s / d r)
  20.     (while (setq d (tblnext s (null d)))
  21.       (setq r (cons (cdr (assoc 2 d)) r))
  22.     )
  23.     (acad_strlsort (reverse r))
  24.   )
  25.   (defun ea:flist (key lst def)
  26.     (start_list key)
  27.     (mapcar 'add_list lst)
  28.     (end_list)
  29.     (if    def
  30.       (set_tile key def)
  31.     )
  32.   )
  33.   (defun ea:string_parse (str delimiter / post strlst)
  34.     (if    str
  35.       (progn
  36.     (setq strlst '())
  37.     (while (vl-string-search delimiter str)
  38.       (setq post (vl-string-search delimiter str))
  39.       (setq strlst (append strlst (list (substr str 1 post))))
  40.       (setq str (substr str (+ post 2)))
  41.     )
  42.     (vl-remove "" (append strlst (list str)))
  43.       )
  44.     ) ;_ end if
  45.   ) ;_ end defun ea:string_pase
  46.   (defun ea:string_unparse (lst delimiter / return)
  47.     (setq return "")
  48.     (foreach str lst
  49.       (setq return (strcat return delimiter str))
  50.     )
  51.     (substr return 2)
  52.   )
  53.   ;;一个在状态条显示处理进度的函数
  54.   ;; k 数 l 长度
  55.   (defun Ea:pross (k l)
  56.     (grtext -2
  57.         (strcat "已完成"
  58.             (rtos (/ (* 100.0 k) l)
  59.               2
  60.               0
  61.             )
  62.             "%...."
  63.         )
  64.     )
  65.   )
  66.   (defun ea:get-utime ()
  67.     (* 86400 (getvar "tdusrtimer"))
  68.   )
  69.   (defun ea:clearcset (/ cset)
  70.     (if    (not (vl-catch-all-error-p
  71.            (setq cset
  72.               (vl-catch-all-apply
  73.             'vla-item
  74.             (list
  75.               (vlax-get-property
  76.                 thisdrawing
  77.                 'selectionsets
  78.               )
  79.               "CURRENT"
  80.             )
  81.               )
  82.            )
  83.          )
  84.     )
  85.       (vlax-invoke cset 'delete)
  86.     )
  87.   )
  88.   (defun ea:getsfont ()
  89.     (mapcar '(lambda (x / sel efnt cfnt)
  90.            (setq sel  (entget (tblobjname "style" x))
  91.              efnt (cdr (assoc 3 sel))
  92.              cfnt (cdr (assoc 4 sel))
  93.            )
  94.            (if (vl-string-search ".SHX" (strcase efnt))
  95.          (setq efnt (substr efnt 1 (- (strlen efnt) 4)))
  96.            )
  97.            (if (vl-string-search ".SHX" (strcase cfnt))
  98.          (setq cfnt (substr cfnt 1 (- (strlen cfnt) 4)))
  99.            )
  100.            (if (/= cfnt "")
  101.          (strcat x "[" efnt "," cfnt "]")
  102.          (strcat x "[" efnt "]")
  103.            )
  104.          )
  105.         sname
  106.     )
  107.   )
  108.   (defun ea:getdmstyle ()
  109.     (mapcar '(lambda (x)
  110.            (list x
  111.              (cdr
  112.                (assoc
  113.              2
  114.              (entget
  115.                (cdr
  116.                  (assoc
  117.                    340
  118.                    (entget
  119.                  (tblobjname "dimstyle" x)
  120.                    )
  121.                  )
  122.                )
  123.              )
  124.                )
  125.              )

  126.            )
  127.          )
  128.         dname
  129.     )
  130.   )
  131.   (defun ea:command (mod)
  132.     (initdia)
  133.     (vl-cmdf (if mod
  134.            ".style"
  135.            ".ddim"
  136.          )
  137.     )
  138.     (while (/= (getvar "cmdnames") "") (command pause))
  139.     (setq sname    (vl-remove "" (ea:table "style"))
  140.       dname    (ea:table "dimstyle")
  141.     )
  142.   )
  143.   (defun ea:chksel (lst / tmp tf sl sln ttf)
  144.     (setq tmp (mapcar 'cadr d_f)
  145.       tf  t
  146.     )
  147.     (setq sl  (mapcar 'read (ea:string_parse lst " "))
  148.       sln (vl-remove nsty (mapcar '(lambda (x) (nth x sname)) sl))
  149.     )
  150.     (while (and tf tmp)
  151.       (setq ttf (vl-position (car tmp) sln))
  152.       (setq tmp (cdr tmp))
  153.       (if ttf
  154.     (setq tf nil)
  155.       )
  156.     )
  157.     ttf
  158.   )
  159.   (defun ea:unlock_all ()
  160.     (vla-eval *Acad*
  161.           "For Each lyr In Thisdrawing.layers:lyr.lock=false:Next"
  162.     )
  163.   )
  164.   (defun ea:transty (/         ea:chg_blockatt_style
  165.              ea:update_dimension     a         del
  166.              dl         filter         sl         sln
  167.              x         cset         upbn     ss
  168.              ssl     n         l         t0
  169.              t1         $dim_in_block
  170.             )
  171.     (defun ea:chg_blockatt_style (obj)
  172.       (mapcar
  173.     '(lambda (a)
  174.        (if (vl-position (vla-get-stylename a) sln)
  175.          (vla-put-stylename a nsty)
  176.        )
  177.      )
  178.     (safearray-value (variant-value (vla-getattributes obj)))
  179.       )
  180.     )
  181.     (defun ea:update_dimension ()
  182.       (if $dim_in_block
  183.     (vla-regen thisdrawing acActiveViewport)
  184.     (progn
  185.       (ssget "x" '((0 . "Dimension")))
  186.       (vla-eval
  187.         *acad*
  188.         "For Each Obj In Thisdrawing.Activeselectionset:Obj.update:Next"
  189.       )
  190.     )
  191.       )
  192.     )
  193.     (defun ea:chg_object_style (obj)
  194.       (cond
  195.     ((and (vlax-property-available-p obj 'stylename T)
  196.           (vl-position (vlax-get-property obj 'stylename) sln)
  197.      )
  198.      (vlax-put-property obj 'stylename nsty)
  199.     )
  200.     ((vlax-property-available-p obj 'hasattributes)
  201.      (ea:chg_blockatt_style obj)
  202.     )
  203.     ($_tch_loaded
  204.      (cond
  205.        ((and (vlax-property-available-p obj 'textstyle T) ;_ dim特性
  206.          (vl-position (vlax-get-property obj 'textstyle) sln)
  207.         )
  208.         (vla-put-textstyle obj nsty)
  209.        )
  210.        ((and (vlax-property-available-p obj 'fontstyle T)
  211.          (vl-position (vlax-get-property obj 'fontstyle) sln)
  212.         )
  213.         (vlax-put-property obj 'fontstyle nsty)
  214.        )
  215.        (t)
  216.      )
  217.     )
  218.     (t)
  219.       )
  220.     )
  221.     (cond
  222.       ((and (/= stlst "") (/= stlst nil)) ;_ 转换字体或字体及标注样式
  223.        (setq t0 (ea:get-utime))
  224.        (ea:unlock_all)
  225.        (setq sl        (mapcar 'read (ea:string_parse stlst " "))
  226.          sln    (vl-remove nsty (mapcar '(lambda (x) (nth x sname)) sl))
  227.          filter (ea:string_unparse sln ",")
  228.        )
  229.        (if (and (/= dmlst "") (/= dmlst nil))
  230.      (setq dl (mapcar 'read (ea:string_parse dmlst " ")))
  231.        )
  232.        (setvar "textstyle" nsty)
  233.        (setq l (- (vla-get-count (vla-get-blocks thisdrawing)) 2)
  234.          n 1
  235.        )
  236.        (ea:clearcset)
  237.        ;;修改 text mtext 属性
  238.        (if (ssget "x"
  239.           (list    '(-4 . "<or")
  240.             (cons 7 filter)
  241.             '(-4 . "<and")
  242.             '(0 . "insert")
  243.             '(66 . 1)
  244.             '(-4 . "and>")
  245.             '(-4 . "or>")
  246.           )
  247.        )
  248.      (progn
  249.        (setq l (+ (vla-get-count
  250.             (setq cset (vlax-get-property
  251.                      thisdrawing
  252.                      'activeselectionset
  253.                    )
  254.             )
  255.               )
  256.               l
  257.            )
  258.        )
  259.        (vlax-for obj (vla-get-activeselectionset thisdrawing)
  260.          (ea:pross n l)
  261.          (ea:chg_object_style obj)
  262.          (setq n (1+ n))
  263.        ) ;_ end vlax-map-collection
  264.      )
  265.        ) ;_ end if
  266.        ;;修改块定义
  267.        (if (zerop l)
  268.      (setq l 1)
  269.        )
  270.        (vlax-map-collection
  271.      (vlax-get-property thisdrawing 'blocks)
  272.      '(lambda (b / bn mark)
  273.         (ea:pross n l)
  274.         (setq bn   (strcase (vla-get-name b))
  275.           mark t
  276.         )
  277.         (if    (not (wcmatch bn "`**_SPAC*"))
  278.           (vlax-map-collection
  279.         b
  280.         '(lambda (n / bbn)
  281.            (ea:chg_object_style n)
  282.            (if
  283.              (and mark
  284.               (wcmatch (setq bbn (vla-get-objectname n))
  285.                    "*Block*"
  286.               )
  287.              )
  288.               (progn
  289.             (if (= (substr bn 1 1) "*")
  290.               (setq bbn (strcat "`" bn))
  291.             )
  292.             (if (not upbn)
  293.               (setq upbn (list bbn))
  294.               (if (not (vl-position bbn upbn))
  295.                 (setq upbn (append (list bbn) upbn))
  296.               )
  297.             )
  298.             (setq mark nil)
  299.               )
  300.            )
  301.            (if (wcmatch (vla-get-objectname n) "*Dim*")
  302.              (setq $dim_in_block t)
  303.            )
  304.          )
  305.           )
  306.         ) ;_ end cond
  307.         (setq n (1+ n))
  308.       ) ;_ end lambda
  309.        ) ;_ end vlax-map-collection      
  310.        ;;修改 dimstyle      
  311.        (if (= dmode "0")
  312.      (progn
  313.        (if dl
  314.          (setq l (+ l (length dl)))
  315.          (setq l (+ l (length d_f)))
  316.        )
  317.        (mapcar
  318.          '(lambda (x / del)
  319.         (setq
  320.           del (entget (tblobjname
  321.                 "dimstyle"
  322.                 (if dl
  323.                   (nth x dname)
  324.                   (car x)
  325.                 )
  326.                   )
  327.               )
  328.         )
  329.         (if (or dl (and (not dl) (vl-position (cadr x) sln)))
  330.           (progn
  331.             (ea:pross n l)
  332.             (entmod (subst (cons 340 (tblobjname "Style" nsty))
  333.                    (assoc 340 del)
  334.                    del
  335.                 )
  336.             )
  337.             (setq n (1+ n))
  338.           )
  339.         )
  340.           )
  341.          (if dl
  342.            dl
  343.            d_f
  344.          )
  345.        )
  346.        (if (vl-position (getvar "dimtxsty") sln)
  347.          (progn
  348.            (setvar "dimtxsty" nsty)
  349.            (vla-put-activedimstyle
  350.          thisdrawing
  351.          (vla-item (vla-get-dimstyles thisdrawing)
  352.                (getvar "dimstyle")
  353.          )
  354.            )
  355.            (ea:unlock_all)
  356.            (ea:update_dimension)
  357.          )
  358.        )
  359.      )
  360.      (if
  361.        (ssget "x"
  362.           (append '((-4 . "<and") (0 . "insert") (-4 . "<or"))
  363.               (mapcar '(lambda (x) (cons 2 x)) upba)
  364.               '((-4 . "or>") (-4 . "and>"))
  365.           )
  366.        )
  367.         (vla-eval
  368.           *acad*
  369.           "For Each Obj In Thisdrawing.ActiveSelectionset:Obj.Update:Next"
  370.         )
  371.      )
  372.        )
  373.        (mapcar '(lambda    (x)
  374.           (vl-catch-all-apply
  375.             'vla-delete
  376.             (list (vla-item (vla-get-textstyles thisdrawing) x))
  377.           )
  378.         )
  379.            sln
  380.        )
  381.        (setq sname (vl-remove "" (ea:table "style"))
  382.          dname (ea:table "dimstyle")
  383.        )
  384.       )
  385.       ((and (/= dmlst nil) (/= dmlst "")) ;_ 仅转换标注样式字体
  386.        (setq t0 (ea:get-utime))
  387.        (setq dl (mapcar 'read (ea:string_parse dmlst " ")))
  388.        (mapcar
  389.      '(lambda (x / del)
  390.         (setq
  391.           del (entget (tblobjname
  392.                 "dimstyle"
  393.                 (nth x dname)
  394.               )
  395.           )
  396.         )
  397.         (entmod (subst (cons 340 (tblobjname "Style" nsty))
  398.                (assoc 340 del)
  399.                del
  400.             )
  401.         )
  402.       )
  403.      dl
  404.        ) ;_ end mapcar
  405.        (if
  406.      (and (vl-position (vl-position (getvar "dimstyle") dname) dl)
  407.           (/= (getvar "dimtxsty") nsty)
  408.      )
  409.       (progn
  410.         (setvar "dimtxsty" nsty)
  411.         (vla-put-activedimstyle
  412.           thisdrawing
  413.           (vla-item    (vla-get-dimstyles thisdrawing)
  414.             (getvar "dimstyle")
  415.           )
  416.         )
  417.       )
  418.        )
  419.        (ea:update_dimension)
  420.       )
  421.       (t)
  422.     ) ;_ end cond
  423.     (if    t0
  424.       (progn
  425.     (setq t1 (ea:get-utime))
  426.     (princ
  427.       (strcat "\n成功转换至 " nsty " 字体,  耗时(secs): ")
  428.     )
  429.     (princ (- t1 t0))
  430.       )
  431.     )
  432.   ) ;_ end defun
  433.   ;;主程序
  434.   (setq    *acad*         (vlax-get-acad-object)
  435.     thisdrawing  (vla-get-activedocument *acad*)
  436.     $_tch_loaded (vl-position "tch_initstart.arx" (arx))
  437.   )
  438.   (vla-startundomark thisdrawing)
  439.   (vl-catch-all-apply
  440.     '(lambda ()
  441.        (if (setq nullss (ssget "x" '((0 . "*text") (1 . ""))))
  442.      (vl-cmdf ".erase" nullss "")
  443.        )
  444.        (if (not _eamegstyle_id)
  445.      (setq _eamegstyle_id (load_dialog "ea_megstyle.dcl"))
  446.        )
  447.        (setq what_next 2)
  448.        (while (>= what_next 2)
  449.      (if (not sname)
  450.        (setq sname (vl-remove "" (ea:table "style")))
  451.      )
  452.      (setq sname_fnt (ea:getsfont))
  453.      (if (not dname)
  454.        (setq dname (ea:table "dimstyle"))
  455.      )
  456.      (setq d_f (ea:getdmstyle))
  457.      (setq dname_textstyle
  458.         (mapcar    '(lambda (x)
  459.                (strcat (car x) "[" (cadr x) "]")
  460.              )
  461.             d_f
  462.         )
  463.      )
  464.      (if (not (new_dialog "ea_megstyle" _eamegstyle_id))
  465.        (exit)
  466.      )
  467.      (ea:flist "sty" sname_fnt nil)
  468.      (ea:flist "dim" dname_textstyle nil)
  469.      (ea:flist "lst"
  470.            sname
  471.            (itoa (vl-position (getvar "textstyle") sname))
  472.      )
  473.      (mode_tile "dst" 1)
  474.      (action_tile
  475.        "trans"
  476.        (strcat
  477.          "(princ \"\n请稍候, 处理进行中....\")"
  478.          "(setq stlst (get_tile \"sty\"))"
  479.          "(setq dmlst (get_tile \"dim\"))"
  480.          "(setq nsty (nth (atoi (get_tile \"lst\")) sname))"
  481.          "(setq dmode (get_tile \"dst\"))"
  482.          "(done_dialog 4)"
  483.         )
  484.      )
  485.      (action_tile "accept" "(done_dialog 1)")
  486.      (action_tile "dim" "(if (= $reason 4)(done_dialog 5))")
  487.      (action_tile
  488.        "sty"
  489.        (strcat
  490.          "(if (ea:chksel $value)(mode_tile \"dst\" 0)(progn (if (= (get_tile \"dst\") \"0\")(set_tile \"dst\" \"1\")) (mode_tile \"dst\" 1)))"
  491.          "(if (= $reason 4)(done_dialog 6))"
  492.        )
  493.      )
  494.      (setq what_next (start_dialog))
  495.      (cond
  496.        ((= what_next 4)
  497.         (ea:transty)
  498.        )
  499.        ((= what_next 6)
  500.         (ea:command t)
  501.        )
  502.        ((= what_next 5)
  503.         (ea:command nil)
  504.        )
  505.        (t)
  506.      )
  507.        ) ;_end while
  508.        (unload_dialog _eamegstyle_id)
  509.      )
  510.   )
  511.   (vla-endundomark thisdrawing)
  512.   (princ)
  513. )
  514. (princ "\n字体合并, 命令: msty . Eachy[www.xdcad.net]")
  515. (princ)
[/sell]

评分

参与人数 1D豆 +5 贡献 +1 收起 理由
xshrimp + 5 + 1

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 593个

财富等级: 财运亨通

 楼主| 发表于 2013-7-13 02:30:25 | 显示全部楼层
配套DCL
  1. ea_megstyle : dialog {
  2.   label = "字体管理 V61206 By Eachy";
  3.   : column {
  4.     alignment = centered;  
  5.   : row {
  6.     : boxed_column {
  7.       label = "字体样式";
  8.       : list_box {
  9.         width = 30;
  10.         height = 12;
  11.         key = "sty";
  12.         multiple_select = true;
  13.         }
  14.       }
  15.     : boxed_column {
  16.       label = "标注样式";
  17.       : list_box {
  18.         width = 30;
  19.         height = 12;
  20.         key = "dim";
  21.         multiple_select = true;
  22.         }
  23.       }
  24.     }
  25.   : row {
  26.     alignment = centered;
  27.     fixed_width = true;
  28.     : toggle {
  29.       label = "忽略标注";
  30.       key = "dst";
  31.       value = "1";
  32.       }
  33.     : button {
  34.       label = "转换";
  35.       fixed_width = true;
  36.       key = "trans";
  37.       }
  38.     : popup_list {
  39.       width = 15;
  40.       key = "lst";
  41.       }
  42.     : button {
  43.       key = "accept";
  44.       label = "退出";
  45.       is_default = true;
  46.       }
  47.     }
  48.   }        
  49. }     
  50.    


点评

eachy站长 能不能共享您的《图层合并3.0》呀?  详情 回复 发表于 2014-11-8 22:53
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 345个

财富等级: 日进斗金

发表于 2013-7-13 07:34:34 | 显示全部楼层
eachy 老师,就要顶。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 08:18:33 | 显示全部楼层
地板一下,支持!顶
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 08:20:43 | 显示全部楼层
呵呵,恭喜eachy前辈又出精品
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 620个

财富等级: 财运亨通

发表于 2013-7-13 08:27:28 | 显示全部楼层

eachy 老师,就要顶。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 464个

财富等级: 日进斗金

发表于 2013-7-13 08:41:58 | 显示全部楼层
支持楼主,支持新作品                                 
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 08:56:08 | 显示全部楼层
如何使用。保存文件名是什么
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 2476个

财富等级: 金玉满堂

发表于 2013-7-13 10:09:04 | 显示全部楼层
很好用,谢谢分享!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 11:14:28 | 显示全部楼层
支持eachy,谢谢分享!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 11:37:11 | 显示全部楼层
真的非常好用
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 11:43:21 | 显示全部楼层
复制后保存名是什么?求解
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 11:57:12 | 显示全部楼层
10豆豆啊,放个录像看看嘛。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 343个

财富等级: 日进斗金

发表于 2013-7-13 12:56:37 | 显示全部楼层
你好版早期还有一个图层合并,希望也共享出来贡献论坛啦
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-13 13:23:53 | 显示全部楼层
10D豆啊,,,
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-5-22 15:51 , Processed in 0.259665 second(s), 57 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表